| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
genwindef.cpp File Reference
`#include "LibSymbolInfo.h"`
`#include <fstream>`
`#include <iostream>`
`#include <string>`
`#include <vector>`
Include dependency graph for genwindef.cpp:

Go to the source code of this file.

## Namespaces
| windef

## Functions
void | windef::usage ()
int | main (int argc, char **argv)

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 30 of file genwindef.cpp.

32 {
33 string outfile( "exports.def" );
34 string library( "UnknownLib" );
35 string objfiles;
36 bool debug( false );
37
38 int arg;
39 if ( argc < 3 ) windef::usage();
40 arg = 1;
41 while ( argv[arg][0] == '-' ) {
42 if ( strcmp( argv[arg], "--" ) == 0 ) {
43 windef::usage();
44 } else if ( strcmp( argv[arg], "-l" ) == 0 ) {
45 arg++;
46 if ( arg == argc ) windef::usage();
47 library = argv[arg];
48 } else if ( strcmp( argv[arg], "-o" ) == 0 ) {
49 arg++;
50 if ( arg == argc ) windef::usage();
51 outfile = argv[arg];
52 }
53 arg++;
54 }
55 if ( arg == argc ) windef::usage();
56 for ( arg; arg < argc; arg++ ) {
57 objfiles += argv[arg];
58 if ( arg + 1 < argc ) objfiles += " ";
59 }
60
61 CLibSymbolInfo libsymbols;
62 ofstream out( outfile );
63 if ( out.fail() ) {
64 cerr << "windef: Error opening file " << outfile << endl;
65 return 1;
66 }
67 out << "LIBRARY " << library << endl;
68 out << "EXPORTS" << endl;
69
70 libsymbols.DumpSymbols( const_cast<char*>( objfiles.c_str() ), out );
71
72 out.close();
73
74 return 0;
75 }
gaudirun.argv
list argv
Definition: gaudirun.py:235
std::endl
T endl(T...args)
std::ofstream
STL class.
std::strcmp
T strcmp(T...args)
CLibSymbolInfo
Definition: LibSymbolInfo.h:15
plotBacklogPyRoot.argc
argc
Definition: plotBacklogPyRoot.py:138
std::string::c_str
T c_str(T...args)
windef::usage
void usage()
Definition: genwindef.cpp:22
std::cerr
CLibSymbolInfo::DumpSymbols
BOOL DumpSymbols(LPTSTR lpszLibPathName, std::ostream &pFile)
Definition: LibSymbolInfo.cpp:37